Subject: [PATCH V2 3/5] usb: gadget: pxa25x_udc: prepare/unprepare clocks in pxa-ssp

From: [email-masked] (Robert Jarzmik)
Date: Sat, 22 Nov 2014 14:56:13 +0100

Robert Jarzmik <[email-masked]> writes:
> Okay, now my ADSL line is repaired, thank you Mr farmer "I drive a tractor but I
> don't care about telephone posts", I'll fetch your changes and make a
> test. Let's say I schedule this for saturday.

Removed people from the list for the tests aspect.

Well, my lubbock board seem to raise several interrupts in the linux kernel, all
the LUBBOCK_IRQ interrupts multiplexed on GPIO0 actually, amongst which are the
2 interrupts for the UDC.

That will mean delay I'm afraid, as I have to find out what happens. I'm pretty
sure the hardware is OK, because the "blob" loader uses the ethernet card which
is amongst the LUBBOCK_IRQs.

There is probably a regression in the kernel not seen for several revisions, and
I have to fix it before I can test.

Cheers.

-- 
Robert